function Spxvi(data) {
  this.startUp();
}

Spxvi.prototype.startUp = function() {
  $('#fleksja p[title="fleksja"]').hide();
  $('#fleksja div').append('<i id="flexion_swap" class="fa fa-file-text-o" aria-hidden="true" title="Pokaż wersję tekstową/tabelaryczną"></i>');

  this.clearTagsFromText();
  this.onLanguageChange();
  this.showFlexion();
}

Spxvi.prototype.clearTagsFromText = function() {
  $('#fleksja table td').each(function() {
    let title = $(this).attr('title'),
        titleWithoutTags = $(title).text();
    $(this).attr('title', titleWithoutTags);
  });
}

Spxvi.prototype.onLanguageChange = function() {
  $( "#languages" ).on('iconselectmenuchange', function() {
    switch(this.value) {
      case 'lang-pl':
        $('#flexion_swap').attr('title', 'Pokaż wersję tekstową/tabelaryczną');
        break;
      case 'lang-en':
        $('#flexion_swap').attr('title', 'Show txt/table version');
        break;
    }
  });
}

Spxvi.prototype.showFlexion = function() {
  $('#lexp_results').on('click', '#flexion_swap', function() {
    let click = $(this).data('clicks');

    if (click) {
      $('#fleksja p[title="fleksja"]').stop().fadeOut('slow', function() {
        $('#fleksja table').stop().fadeIn('slow');
      });
    } else {
      $('#fleksja table').stop().fadeOut('slow', function() {
        $('#fleksja p[title="fleksja"]').stop().fadeIn('slow');
      });
    }

    $(this).data('clicks', !click);
  });
}

Spxvi.id = "spxvi";

$(function () {
  Element.addVisualizer(Spxvi.id, Spxvi);

  $('#lexp_results').on('mouseup', '#lexpelement_spxvi', function(event) {
    let lemma = selectWord() || '',
        lang = $('#lang').val(),
        data = new Object();

    data.lemma = lemma;
    data.lang = lang || 'pl';
    data.left = event.originalEvent.offsetX || 0;
    data.top = event.originalEvent.clientY - 55 || 0;

    if (lemma.length < 10) {
      data.left = event.originalEvent.offsetX + 20 || 0;
    }

    positionTooltip(data);
  });
});